unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, QRCode, DBQRCode, Forms, Controls, Graphics,
  Dialogs, DBGrids, DbCtrls, db, memds;

type

  { TForm1 }

  TForm1 = class(TForm)
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    DBQRCode1: TDBQRCode;
    MemDataset1: TMemDataset;
    procedure FormCreate(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  MemDataset1.Open;
  MemDataset1.AppendRecord([1, 'Hello world']);
  MemDataset1.AppendRecord([2, '123']);
  MemDataset1.AppendRecord([3, 'http://freepascacl.ru']);
end;

end.

